function testuj (cislo_tematu,file)
%
%  Pomocna funkce pro spusteni demo prikladu z jednotlivych temat
%    (funkce testuj je pouzita v programu snu.m) 
%

switch cislo_tematu
case '1',
     adresar='Nelinearni_rovnice';
case '2',
     adresar='SLAR'
case '3',
     adresar='Vlastni_cisla'
case '4',
     adresar='Aproximace_funkci'
case '5',
     adresar='Derivace_Integrace'
case '6',
     adresar='Derivace_Integrace'
case '7',
     adresar='Diferencialni_rovnice'
otherwise
     adresar='./'
end

cd(adresar);
test_soubor=fullfile(pwd,file);

clc;
disp(' ');
disp(sprintf(' V adresari  %s  je spusten prikaz:',adresar));
disp(' ');
type(test_soubor)
disp(' ');
disp('---------------------------------------------------------- ');
disp(' ');
disp(' Stiskni klavesu');
pause;

figure(1);
set(1,'Visible','off');
set(1,'CloseRequestFcn','')

run(test_soubor);
cd ..;
disp(' ');
disp(' ');
disp(' Konec prikladu  -  Stiskni klavesu');
pause;
clc;

set(1,'CloseRequestFcn','delete(1)')
close;


